/**
 *  Triangles
 *  Copyright (C) 2016 POSITIVE MENTAL ATTITUDE
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <fstream>

/**
 * @brief This will open a file, increase its content (a number) by one, close the file and print the number.
 * AKA how many times was the F9 pressed without errors.
 * @return The current count. 
 */
unsigned statCounter()
{
	std::ifstream ifs;
	std::ofstream ofs;
	ifs.open("data/counter");
	unsigned count;
	ifs >> count;
	ifs.close();
	++count;
	ofs.open("data/counter");
	ofs << count;
	ofs.close();
	return count;
}